Bug 805915 - openjpeg: Out-of heap-based buffer write by processing palette information in certain JPEG 2000 images [fedora-all]
openjpeg: Out-of heap-based buffer write by processing palette information in...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openjpeg (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-1499
  Show dependency treegraph
 
Reported: 2012-03-22 08:54 EDT by Jan Lieskovsky
Modified: 2016-01-31 20:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 23:28:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-22 08:54:20 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=805912

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Huzaifa S. Sidhpurwala 2012-07-05 23:28:47 EDT
This has been fixed in fedora 16 and fedora 17 via the following package versions:

openjpeg-1.4-13.fc16
openjpeg-1.4-13.fc17

Note You need to log in before you can comment on or make changes to this bug.